Rated 4 out of 5 stars

Lastpass 2.0.20 can work with FF19, Window 7,32bit

This review is for a previous version of the add-on (2.0.0).